Subject: Re: [PATCH]: PowerPC: make sure the rtas stop-self token is defined.

From: Nathan Lynch <[email-masked]>
Date: Fri, 10 Nov 2006 14:01:52 -0600

Linas Vepstas wrote:
> 
> There are a variety of code paths that lead to rtas_stop_self()
> being called, primarily through cpu_die(). However, rtas_stop_self() 
> has a BUG_ON(rtas_args->token == RTAS_UNKNOWN_SERVICE); in it, and
> this rtas token is only set up if CONFIG_HOTPLUG_CPU is defined.
> 
> Rather than wrapping all of the callers of rtas_stop_self()
> with CONFIG_HOTPLUG_CPU, it seems wiser to just unwrap the token
> definition.

Is there actually a code path that calls rtas_stop_self with
CONFIG_HOTPLUG_CPU=n?  That would be a bug, I think.